#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-crispy-forms
export PYBUILD_SYSTEM=pyproject

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-crispy-forms-doc/usr/share/doc/python-django-crispy-forms-doc/html
	dh_sphinxdoc
endif

override_dh_installchangelogs:
	dh_installchangelogs -i CHANGELOG.md

execute_before_dh_auto_clean:
	rm -rf docs/.build
